org.eclipse.jetty.security

## Interface PropertyUserStore.UserListener

- All Known Implementing Classes:
    HashLoginService
  Enclosing class:
    PropertyUserStore

      public static interface PropertyUserStore.UserListener

  UserListener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `remove(String username)`
    `void` | `update(String username, Credential credential, String[] roleArray)`

- - ### Method Detail

    - #### update

          void update(String username,
                    Credential credential,
                    String[] roleArray)

    - #### remove

          void remove(String username)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.